org.springframework.data.repository.query

## Interface QueryMethodEvaluationContextProvider

All Known Subinterfaces:
  ReactiveQueryMethodEvaluationContextProvider

All Known Implementing Classes:
  ExtensionAwareQueryMethodEvaluationContextProvider, ReactiveExtensionAwareQueryMethodEvaluationContextProvider

    public interface QueryMethodEvaluationContextProvider

Provides a way to access a centrally defined potentially shared `EvaluationContext`.

Since:
  1.9
Author:
  Thomas Darimont, Oliver Gierke, Christoph Strobl

### Field Summary

Fields
`static QueryMethodEvaluationContextProvider` `DEFAULT`

### Method Summary

All Methods Instance Methods Abstract Methods
`<T extends Parameters<?,?>> EvaluationContext` `getEvaluationContext(T parameters, Object[] parameterValues)` Returns an `EvaluationContext` built using the given `Parameters` and parameter values.
`<T extends Parameters<?,?>> EvaluationContext` `getEvaluationContext(T parameters, Object[] parameterValues, ExpressionDependencies dependencies)` Returns an `EvaluationContext` built using the given `Parameters` and parameter values.

### Field Detail

#### DEFAULT

    static final QueryMethodEvaluationContextProvider DEFAULT

### Method Detail

#### getEvaluationContext

    <T extends Parameters<?,?>> EvaluationContext getEvaluationContext(T parameters,
                                                                       Object[] parameterValues)

Returns an `EvaluationContext` built using the given `Parameters` and parameter values.

Parameters:
  `parameters` - the `Parameters` instance obtained from the query method the context is built for.
  `parameterValues` - the values for the parameters.
Returns:

#### getEvaluationContext

    <T extends Parameters<?,?>> EvaluationContext getEvaluationContext(T parameters,
                                                                       Object[] parameterValues,
                                                                       ExpressionDependencies dependencies)

Returns an `EvaluationContext` built using the given `Parameters` and parameter values.

Parameters:
  `parameters` - the `Parameters` instance obtained from the query method the context is built for.
  `parameterValues` - the values for the parameters.
Returns: